package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:38
 */
@Getter
@Setter
public class PushVO  extends PushBaseVO {
    private String diseaseName;
    private String scaleName; //量表名称
    @ApiModelProperty(hidden = true)
    private Integer disType;  //0-普通病（默认不填），1-慢病，2-急诊
    private String adverseReactions; //不良反应
    private String indications;   //推理指标
    private String hosCode;   //医院编码

    private String lisString;  //化验纯文本
    private String lisOrder;   //当前正在下单化验
    private String pacsOrder;   //当前正在下单辅检
    private String otherOrder; //其他
}