package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.LibraryForDiagnoseDTO;
import com.diagbot.dto.RedisWithDiagnoseDTO;
import com.diagbot.entity.LibraryInfo;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {


    public List<LibraryForDiagnoseDTO> getLibraryForDiagnose();

    public Set<String> getLibraryForDiagnose2();

    public List<RedisWithDiagnoseDTO> putRedis();
}
