package com.diagbot.facade;

import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.entity.SysSet;
import com.diagbot.service.impl.SysSetServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.IntegerUtil;
import com.diagbot.vo.HospitalSetVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年6月12日 下午3:25:36
 */
@Component
public class SysSetFacade extends SysSetServiceImpl {


    /**
     * @param hospitalSetVO
     * @return
     */
    public List<SysSetInfoDTO> getSysSetInfoData(HospitalSetVO hospitalSetVO) {
        
        if (IntegerUtil.isNull(hospitalSetVO.getPlan())) {
            hospitalSetVO.setPlan(0);
        }
        List<SysSet> sysSetData = querySysSetInfo(hospitalSetVO);
        List<SysSetInfoDTO> data = BeanUtil.listCopyTo(sysSetData, SysSetInfoDTO.class);
        return data;
    }

}
