package com.diagbot.client.bean;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by fyeman on 2018/2/2.
 */
@Getter
@Setter
public class ResponseData {
    private String participleSymptom = "";
    private List<FeatureRate> symptom = new ArrayList<>(10);
    private List<FeatureRate> vitals = new ArrayList<>(10);
    private List<FeatureRate> dis = new ArrayList<>(10);
    private List<FeatureRate> labs = new ArrayList<>(10);
    private List<FeatureRate> pacs = new ArrayList<>(10);
    private List<FeatureRate> history = new ArrayList<>(10);
    private Map<String, JSONObject> treat;   //治疗方案
    private Map<String, JSONObject> scale;   //量表内容
    private Map<String, JSONObject> managementEvaluation;   //管理评估
    private Map<String, Map<String, String>> inputs = new HashMap<>(10, 0.5f);
}
